### Method

# Meta WorkspaceManager get_workspace_by_index

#### Declaration [src]

    MetaWorkspace*
    meta_workspace_manager_get_workspace_by_index (
      MetaWorkspaceManager* workspace_manager,
      int index
    )

#### Description [src]

Gets the workspace object for one of a workspace manager’s workspaces given the workspace index. It’s valid to call this function with an out-of-range index and it will robustly return `NULL`.

#### Parameters

`index`

  Type: `int`

  Index of one of the display’s workspaces.

#### Return value

Type: `MetaWorkspace`

The workspace object with specified index, or `NULL` if the index is out of range.

The returned data is owned by the instance.
The return value can be `NULL`.